@version 2.0
@warnings
@script master
groups; oa;
c1..6; active = true;
curframe; sFrame; eFrame;
rw = 200;
f;
create
{
	setdesc("Portable Timeline");
	checkFrames();
	f = Scene().currenttime * Scene().fps;
}
checkFrames
{
	curframe = Scene().currenttime * Scene().fps;
	sFrame = Scene().previewstart;
	eFrame = Scene().previewend;
}
process: event, command
{
	if(event == COMMAND)
	{
		if(reqisopen())
		{
			checkFrames();
			if(command == "Refresh \(Null\)")
			{
				checkFrames();
				f = getvalue(c1);
				GoToFrame(f);
				c3.visible(0);
				c3.position(getTheThing(),15);
				c3.visible(1);
				c4.visible(0);
				c4.position(getTheThing()+24,15);
				c4.visible(1);
				/*
				c5.visible(0);
				c5.position(getTheThing()+48,15);
				c5.visible(1);
				c6.visible(0);
				c6.position(getTheThing()+72,15);
				c6.visible(1);
				*/
			}
			if(strleft(command,9) == "GoToFrame")
			{
				(,fn) = parse(" ",command);
				setvalue(c1,integer(fn));
			}
		}
		else
		{
			if(strleft(command,18) == "Generic_PTMCOpenGN")
			{
				if(!reqisopen())
					options();
			}
		}
	}
}
getTheThing
{
	a = ((f - sFrame) / (eFrame - sFrame)) * (rw - 130);
	return(a);
}
options
{
	if(!reqisopen())
	{
		reqbegin("Portable Timeline");
		reqsize(rw,30);
		c1 = ctlslider("",curframe,sFrame,eFrame);
		// c2 = ctlcheckbox("",active);
		c3 = ctlbutton("+ +",65,"createKey");
		c4 = ctlbutton("- -",50,"deleteKey");
		c5 = ctlbutton("< <",50,"prevKey");
		c6 = ctlbutton("> >",50,"nextKey");
		ctlposition(c1,0,0,50,15);
		ctlposition(c3,0,15,25,15);
		ctlposition(c4,24,15,25,15);
		ctlposition(c5,150,0,25,15);
		ctlposition(c6,174,0,25,15);
		// ctlposition(c2,10,0);
		reqresize("resize",200,15,1024,30);
		reqopen();
	}
}

prevKey
{
	PreviousKey();
	setvalue(c1,round((Scene().currenttime * Scene().fps),0));
}
nextKey
{
	NextKey();
	setvalue(c1,round((Scene().currenttime * Scene().fps),0));
}
createKey
{
	str = string("CreateKey ",Scene().currenttime);
	CommandInput(str);
}
deleteKey
{
	str = string("DeleteKey ",Scene().currenttime);
	CommandInput(str);
}
resize: w, h
{
	rw = w;
	ctlposition(c1,0,0,w - 110);
	ctlposition(c5,w - 50,0);
	ctlposition(c6,w - 26,0);
//	ctlposition(c2,w - 20,0);
}
destroy
{
	if(reqisopen())
		reqabort();
}
save
{
}
load
{
}
